Subject: bug#521: [devuan-dev] bug#521: boot hangs on 'ifup: waiting for lock'

From: tito <[email-masked]>
Date: Wed, 11 Nov 2020 14:43:46 +0100

On Wed, 11 Nov 2020 08:31:50 +0100
leirbag <[email-masked]> wrote:

> Package: devuan-desktop
> Severity: normal
> 
> Dear Maintainer,
> 
> Booting process hangs on what seems to be the initialisation of
> network: it remains on
> 
> Configuring network interfaces...ifup: waiting for lock on 
> /run/network/ifstate.eth0
> 
> for a long time (I hence usually skip this phase with C-c). When
> logging into the desktop, internet is available (through eth0).
> 
> The setup is very close to the default one (wicd is used).
> 
> -- System Information:
> Distributor ID: Debian
> Description:    Devuan GNU/Linux 3 (beowulf)
> Release:        3
> Codename:       beowulf
> Architecture: x86_64
> 
> Kernel: Linux 4.19.0-12-amd64 (SMP w/4 CPU cores)
> Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, 
> TAINT_UNSIGNED_MODULE
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), 
> LANGUAGE=en_GB:en (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: sysvinit (via /sbin/init)
> LSM: AppArmor: enabled

Hi,
I worked around this by changing /etc/network/interfaces to:

______________________________________________________________
iface eth0 inet manual
        pre-up /sbin/ip link set eth0 up
        up /sbin/dhclient -nw -4 -v -i -pf /run/dhclient.eth0.pid -lf /var/lib/dhcp/dhclient.eth0.leases -I -df /var/lib/dhclient6.eth0.leases eth0
        pre-down /sbin/dhclient -r -4 -v -i -pf /run/dhclient.eth0.pid -lf /var/lib/dhcp/dhclient.eth0.leases -I -df /var/lib/dhclient6.eth0.leases eth0
        down /sbin/ip link set eth0 down
______________________________________________________________

and installing ifplugd and setting /etc/default/ifplugd to:

______________________________________________________________
INTERFACES="eth0"
HOTPLUG_INTERFACES=""
ARGS="-q -f -u0 -d10 -w -I"
SUSPEND_ACTION="stop"
______________________________________________________________

This way boot is fast and the network is setup in the background 
as soon as ifplugd detects the link beat.
Don't know how this will interact with wicd.

Ciao,
Tito